## pyopenssl 0.12

=== debian/changelog ===
pyopenssl (0.12-1ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:08:06 +0000

pyopenssl (0.12-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: change dh_pysupport to dh_python2.
    - debian/control: 
      + Removed python-support from Build-Depends,
      + Bump build-depends for python-all-dev to >= 2.6.6-3~
  * drop debian/patches/30_py27_memoryview.patch, fixed upstream

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jun 2011 10:26:19 +0200

pyopenssl (0.12-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - point to Pypi instead of launchpad
  * debian/copyright
    - updated packaging copyright years
    - updated upstream license to Apache 2.0
  * debian/control
    - remove Provides/Conflicts/Replaces for python-pyopenssl
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/source/format
    - converted to 3.0 (quilt)
  * Converted from dpatch to quilt
  * debian/patches/support_openssl_1.0
    - support OpenSSL 1.0 and the removal of SSLv2 methods; Closes: #622154

 -- Sandro Tosi <morph@debian.org>  Mon, 30 May 2011 14:55:33 +0200

pyopenssl (0.11-1) experimental; urgency=low

  * New upstream release
  * debian/watch
    - updated to use launchpad

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Nov 2010 23:00:23 +0100

pyopenssl (0.11~a2-1) experimental; urgency=low

  * New (alpha) upstream release
  * debian/{control, copyright}
    - updated upstream project website location; thanks to Jonathan Davies for
      the report; Closes: #567654
  * debian/copyright
    - updated upstream copyright years
  * debian/patches/20_spelling.dpatch
    - removed, merged upstream
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)
    - added 'openssl' to b-d, needed to run unit tests

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Oct 2010 21:11:45 +0200

pyopenssl (0.10-1ubuntu3) natty; urgency=low

  * Add upstream patch so that sendall() uses a memoryview, which is
    required for Python 2.7 compatibility.  Patch given in upstream bug
    report <http://launchpad.net/bugs/686804>.  (LP: #758037)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 13 Apr 2011 08:39:18 -0400

pyopenssl (0.10-1ubuntu2) natty; urgency=low

  * No-change rebuild to prefer python2.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Dec 2010 09:39:55 +0100

pyopenssl (0.10-1ubuntu1) natty; urgency=low

  * Rebuild with Python2.7.
  * debian/rules: change dh_pysupport to dh_python2.
  * debian/control: Removed python-support from Build-Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 29 Nov 2010 09:39:23 +0100

pyopenssl (0.10-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
    - added ${misc:Depends} to -doc and -dbg packages
  * debian/watch
    - updated for new upstream project layout
  * debian/copyright
    - extended Debian packaging copyright notice
    - added copyright notice for new file 'test/test_rand.py'
  * debian/rules
    - Python 2.6 has changed the build directory layout when building with a
      debug interpreter, hence adjusting the location used to run tests; thanks
      to Jakub Wilk for alerting on IRC
  * debian/patches/20_spelling.dpatch
    - added to fix compatability/compatibility spelling error noticed by lintian

 -- Sandro Tosi <morph@debian.org>  Sat, 30 Jan 2010 00:09:59 +0100

pyopenssl (0.9-1) unstable; urgency=low

  [ Stephan Peijnik ]
  * debian/control
    - fixed Vcs-Browser and Vcs-Svn fields.
    - switched Vcs-Browser field to viewsvn.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.1 (no changes needed)
    - fixed section for -dbg package to 'debug'
    - removed transitional packages
    - bump minimum version for python packages to call install-layout=deb
  * debian/copyright
    - updated copyright years for upstream work
  * debian/rules
    - running tests at build time, still experimental support
    - refactored to use supported python version (and not python executables
      names) during loops
    - call setup.py --install with --install-layout=deb (patch from Ubuntu)

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Jun 2009 00:43:41 +0200

pyopenssl (0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - updated my email address
    - removed XS-DM-Upload-Allowed field
    - enhanced -doc descriptions and added a note for -dbg that's the debug pkg
  * debian/patches/10_fix_doc_buildsystem.dpatch
    - added description
  * debian/copyright
    - fixed local license file to point to LGPL-2
    - added copyright notice for my packaging activities (2008-2009)
  * debian/rules
    - merged 'rm' calls into 'dh_clean' one

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Feb 2009 01:24:57 +0100

pyopenssl (0.7-2) unstable; urgency=medium

  * debian/control
    - added texlive-latex-base, texlive-latex-recommended to build-dep to fix a
      FTBFS; thanks to Lucas Nussbaum for the report; Closes: 486950
    - bump Standards-Version to 3.8.0
  * debian/README.source
    - added as requested by Policy 3.8.0

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 19 Jun 2008 20:05:55 +0200

pyopenssl (0.7-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/01_restore_pristine_code.dpatch
    - removed since merged upstream
  * debian/rules
    - added doc creation at build-time
  * debian/patches/10_fix_doc_buildsystem.dpatch
    - added to allow doc build on debian
  * debian/control
    - added tex4ht and w3m build-dep needed to build doc
  * debian/python-openssl-doc.doc-base
    - updated for new index filename
  * debian/copyright
    - updated upstream author and copyright notices
  * debian/watch
    - fixed to correctly detect X.YaZ < X.Y
  [ Piotr Ożarowski ]

