=== debian/control ===
Source: pyopenssl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.5.4-1~), libssl-dev (>= 0.9.8), tex4ht, w3m, texlive-latex-base, texlive-latex-recommended, openssl
Standards-Version: 3.9.2
Homepage: http://launchpad.net/pyopenssl
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyopenssl/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyopenssl/trunk/
XS-Python-Version: all

Package: python-openssl
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-openssl-doc, python-openssl-dbg
XB-Python-Version: ${python:Versions}
Description: Python wrapper around the OpenSSL library
 High-level wrapper around a subset of the OpenSSL library, includes
 .
   * SSL.Connection objects, wrapping the methods of Python's portable
     sockets
   * Callbacks written in Python
   * Extensive error-handling mechanism, mirroring OpenSSL's error
     codes
 .
 A lot of the object methods do nothing more than calling a
 corresponding function in the OpenSSL library.

Package: python-openssl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-openssl
Description: Python wrapper around the OpenSSL library (documentation package)
 High-level wrapper around a subset of the OpenSSL library, includes
 .
   * SSL.Connection objects, wrapping the methods of Python's portable
     sockets
   * Callbacks written in Python
   * Extensive error-handling mechanism, mirroring OpenSSL's error
     codes
 .
 A lot of the object methods do nothing more than calling a
 corresponding function in the OpenSSL library.
 .
 This package contains documentation for python-openssl.

Package: python-openssl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-openssl (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Description: Python wrapper around the OpenSSL library (debug extension)
 High-level wrapper around a subset of the OpenSSL library, includes
 .
   * SSL.Connection objects, wrapping the methods of Python's portable
     sockets
   * Callbacks written in Python
   * Extensive error-handling mechanism, mirroring OpenSSL's error
     codes
 .
 A lot of the object methods do nothing more than calling a
 corresponding function in the OpenSSL library.
 .
 This package contains the debug extension for python-openssl.
