=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -r -v)

build: build-stamp
build-stamp:
	dh_testdir

	set -e; \
	for py in $(PYVERS); do  \
	    python$$py setup.py build; \
	    python$$py-dbg setup.py build; \
	done

	# run tests
	-for py in $(PYVERS); do  \
	    for test in OpenSSL/test/test*; do \
	        echo "running $$test for python$$py ..."; \
	        PYTHONPATH=build/lib.$(DEB_BUILD_ARCH_OS)-$(shell uname -m)-$$py python$$py $$test; \
	        PYTHONPATH=`ls -d build/lib_d.*-$$py || ls -d build/lib.*-$$py-pydebug` python$$py-dbg $$test; \
	    done; \
	done
     

	$(MAKE) -C doc all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	-for py in $(PYVERS); do \
	    python$$py setup.py clean --all; \
	    python$$py-dbg setup.py clean --all; \
	done

	rm -rf build

	$(MAKE) -C doc clean

	dh_clean build-stamp version.pyc

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	set -e; \
	for py in $(PYVERS); do \
	    echo "installing for python$$py ..."; \
 	    python$$py setup.py install --root=$(CURDIR)/debian/python-openssl --install-layout=deb; \
	    echo "installing for python$$py-dbg ..."; \
	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python-openssl-dbg --install-layout=deb; \
 	done
	find debian/python-openssl-dbg ! -type d ! -name '*_d.so' | xargs rm -f
	find debian/python-openssl-dbg -depth -empty -exec rmdir {} \;

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs ChangeLog -i
	dh_compress -i
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs ChangeLog -a
	dh_strip -ppython-openssl --dbg-package=python-openssl-dbg
	rm -rf debian/python-openssl-dbg/usr/share/doc/python-openssl-dbg
	ln -s python-openssl debian/python-openssl-dbg/usr/share/doc/python-openssl-dbg
	dh_compress -a
	dh_fixperms -a
	dh_python2 -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
