## pyopenssl 0.13

=== debian/changelog ===
pyopenssl (0.13-2ubuntu6) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 23:57:41 +0100

pyopenssl (0.13-2ubuntu5) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:58 +0000

pyopenssl (0.13-2ubuntu4) saucy; urgency=low

  * SECURITY UPDATE: incorrect ssl cert validation via NUL byte in
    subjectAltName
    - debian/patches/CVE-2013-4314.patch: fix leak in OpenSSL/crypto/x509.c,
      properly handle subjectAltName in OpenSSL/crypto/x509ext.c, added
      tests to OpenSSL/test/test_crypto.py.
    - CVE-2013-4314

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2013 15:41:16 -0400

pyopenssl (0.13-2ubuntu3) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:15:59 +0000

pyopenssl (0.13-2ubuntu2) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 17:47:29 +0200

pyopenssl (0.13-2ubuntu1) quantal; urgency=low

  * Merge from Debian.  Remaining changes:
    - debian/control:
      + Removed python-support from Build-Depends
      + Bump build-depends for python-all-dev to >= 2.6.6-3~
      + Remove tex4ht, w3m, texlive-latex-base, texlive-latex-recommended
        from Build-Depends
    - debian/rules:
      + Change dh_pysupport to dh_python2.
    - debian/patches/10_fix_doc_buildsystem.patch:
      + Disable this patch, reverting to upstream doc build process.
        htlatex is currently broken on Quantal.

 -- Barry Warsaw <barry@ubuntu.com>  Sun, 06 May 2012 18:13:11 -0700

pyopenssl (0.13-2) unstable; urgency=low

  [ Barry Warsaw ]
  * Enable the Python 3 version of the package; Closes: #669301

  [ Sandro Tosi ]
  * Fix several omissions for py3k packages introduction
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/rules
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671191

 -- Sandro Tosi <morph@debian.org>  Sat, 05 May 2012 17:30:52 +0200

pyopenssl (0.13-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining and new changes:
    - debian/control:
      + Removed python-support from Build-Depends
      + Bump build-depends for python-all-dev to >= 2.6.6-3~
      + Add support Python 3 versions (see Debian bug #669301)
    - debian/rules:
      + Change dh_pysupport to dh_python2.
      + Add support Python 3 versions (see Debian bug #669301)
    - debian/patches/10_fix_doc_buildsystem.patch:
      + Disable this patch, reverting to upstream doc build process.
        htlatex is currently broken on Quantal.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 02 May 2012 17:02:21 -0400

pyopenssl (0.13-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Sep 2011 16:46:29 +0200

pyopenssl (0.13~a1-1) unstable; urgency=low

  * New upstream (alpha) release
  * debian/patches/support_openssl_1.0
    - removed, fix upstream
  * debian/patches/disable_test_set_default_verify_paths.patch
    - disable a test trying to connect to the web
  * debian/rules
    - fix build* targets
  * debian/control
    - drop Provides and XB-P-V fields from bin pkg

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2011 18:44:39 +0200
