=== debian/control ===
--- 
+++ 
@@ -4,20 +4,19 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.5.4-1~), libssl-dev (>= 0.9.8), tex4ht, w3m, texlive-latex-base, texlive-latex-recommended, openssl
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.5.4-1~), python3-all-dev, python3-all-dbg, libssl-dev (>= 0.9.8), latex2html, lynx, openssl
+Standards-Version: 3.9.3
 Homepage: http://launchpad.net/pyopenssl
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyopenssl/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyopenssl/trunk/
 XS-Python-Version: all
+X-Python3-Version: >= 3.2
 
 Package: python-openssl
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
 Suggests: python-openssl-doc, python-openssl-dbg
-XB-Python-Version: ${python:Versions}
-Description: Python wrapper around the OpenSSL library
+Description: Python 2 wrapper around the OpenSSL library
  High-level wrapper around a subset of the OpenSSL library, includes
  .
    * SSL.Connection objects, wrapping the methods of Python's portable
@@ -33,7 +32,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: python-openssl
+Suggests: python-openssl, python3-openssl
 Description: Python wrapper around the OpenSSL library (documentation package)
  High-level wrapper around a subset of the OpenSSL library, includes
  .
@@ -53,7 +52,7 @@
 Section: debug
 Architecture: any
 Depends: ${misc:Depends}, python-openssl (= ${binary:Version}), python-dbg, ${shlibs:Depends}
-Description: Python wrapper around the OpenSSL library (debug extension)
+Description: Python 2 wrapper around the OpenSSL library (debug extension)
  High-level wrapper around a subset of the OpenSSL library, includes
  .
    * SSL.Connection objects, wrapping the methods of Python's portable
@@ -66,3 +65,41 @@
  corresponding function in the OpenSSL library.
  .
  This package contains the debug extension for python-openssl.
+
+Package: python3-openssl
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Suggests: python-openssl-doc, python3-openssl-dbg
+Description: Python 3 wrapper around the OpenSSL library
+ High-level wrapper around a subset of the OpenSSL library, includes
+ .
+   * SSL.Connection objects, wrapping the methods of Python's portable
+     sockets
+   * Callbacks written in Python
+   * Extensive error-handling mechanism, mirroring OpenSSL's error
+     codes
+ .
+ A lot of the object methods do nothing more than calling a
+ corresponding function in the OpenSSL library.
+ .
+ This package contains the Python 3 version of pyopenssl.
+
+Package: python3-openssl-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, python3-openssl (= ${binary:Version}), python3-dbg, ${shlibs:Depends}
+Description: Python 3 wrapper around the OpenSSL library (debug extension)
+ High-level wrapper around a subset of the OpenSSL library, includes
+ .
+   * SSL.Connection objects, wrapping the methods of Python's portable
+     sockets
+   * Callbacks written in Python
+   * Extensive error-handling mechanism, mirroring OpenSSL's error
+     codes
+ .
+ A lot of the object methods do nothing more than calling a
+ corresponding function in the OpenSSL library.
+ .
+ This package contains the debug extension for python3-openssl.
+
