=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,13 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
-PYVERS := $(shell pyversions -r -v)
+PY2VERS := $(shell pyversions -r -v)
+PY3VERS := $(shell py3versions -r -v)
+PYVERS := $(PY2VERS) $(PY3VERS)
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -42,6 +46,8 @@
 
 	$(MAKE) -C doc clean
 
+	rm -rf *.key *.pem tmp*
+
 	dh_clean build-stamp version.pyc
 
 install: DH_OPTIONS=
@@ -52,11 +58,18 @@
 	dh_installdirs
 
 	set -e; \
-	for py in $(PYVERS); do \
+	for py in $(PY2VERS); do \
 	    echo "installing for python$$py ..."; \
  	    python$$py setup.py install --root=$(CURDIR)/debian/python-openssl --install-layout=deb; \
 	    echo "installing for python$$py-dbg ..."; \
 	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python-openssl-dbg --install-layout=deb; \
+ 	done
+	set -e; \
+	for py in $(PY3VERS); do \
+	    echo "installing for python$$py ..."; \
+ 	    python$$py setup.py install --root=$(CURDIR)/debian/python3-openssl --install-layout=deb; \
+	    echo "installing for python$$py-dbg ..."; \
+	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python3-openssl-dbg --install-layout=deb; \
  	done
 	find debian/python-openssl-dbg ! -type d ! -name '*_d.so' | xargs rm -f
 	find debian/python-openssl-dbg -depth -empty -exec rmdir {} \;
@@ -72,6 +85,7 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_python2 -i
+	dh_python3 -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -85,11 +99,13 @@
 	dh_installexamples -a
 	dh_installchangelogs ChangeLog -a
 	dh_strip -ppython-openssl --dbg-package=python-openssl-dbg
+	dh_strip -ppython3-openssl --dbg-package=python3-openssl-dbg
 	rm -rf debian/python-openssl-dbg/usr/share/doc/python-openssl-dbg
 	ln -s python-openssl debian/python-openssl-dbg/usr/share/doc/python-openssl-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_python2 -a
+	dh_python3 -a
 	dh_makeshlibs -a
 	dh_installdeb -a
 	dh_shlibdeps -a
