=== debian/watch ===
version=3

#https://launchpad.net/pyopenssl/+download http://launchpad.net/pyopenssl/main/.*/pyOpenSSL-([\d.]*)\.tar.gz
http://pypi.python.org/packages/source/p/pyOpenSSL/pyOpenSSL-([\d.]*)\.tar.gz
