=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.5.4-1~), python3-all-dev, python3-all-dbg, libssl-dev (>= 0.9.8), latex2html, lynx, openssl
-Standards-Version: 3.9.3
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.5.4-1~), python-all-dbg (>= 2.5.4-1~), python3-all-dev, python3-all-dbg, dh-python, libssl-dev (>= 0.9.8), lynx, latex2html, texlive-latex-base, texlive-latex-recommended, openssl, texlive-fonts-recommended
+Standards-Version: 3.9.5
 Homepage: http://launchpad.net/pyopenssl
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyopenssl/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyopenssl/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyopenssl/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyopenssl/trunk/
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
