## pyopenssl 0.14

=== debian/changelog ===
pyopenssl (0.14-1) unstable; urgency=medium

  * New upstream release; Closes: #751144
  * debian/control
    - update Homepage field; thanks to Slavko for the report; Closes: #751893
    - update b-d as per new upstream code
    - packages now are Arch:all
  * debian/copyright
    - switch to DEP-5 format
    - updated to new upsteam release
  * debian/patches/*
    - removed no longer applyable patches, refresh the remaining one
  * debian/README.source
    - removed, long outdated
  * Build and install doc with Sphinx
  * debian/{control, *-dbg.install}
    - removed dbg package, no longer created
  * debian/patches/bbff8b97da488d19d3a26f6eda5f83fc88ad430c.patch
    - fixes test_wantWriteError error
  * debian/rules
    - run test correctly for a pure Python module

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Aug 2014 20:05:04 +0100
