## pyopenssl 0.15.1

=== debian/changelog ===
pyopenssl (0.15.1-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: use-after-free and memory leak
    - debian/patches/CVE-2018-100080x-pre.patch: fix use-after-free and
      introduce _from_raw_x509_ptr in OpenSSL/SSL.py, OpenSSL/crypto.py.
    - debian/patches/CVE-2018-100080x.patch: fix issues in OpenSSL/SSL.py,
      OpenSSL/crypto.py, add test to OpenSSL/test/test_ssl.py.
    - debian/control: depend on python-cryptography security update to
      get access to new X509_up_ref function.
    - CVE-2018-1000807
    - CVE-2018-1000808
  * debian/patches/update_certs.patch: update expired test certs.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Nov 2018 13:39:49 -0500

pyopenssl (0.15.1-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Jul 2015 21:37:02 +0000

pyopenssl (0.15.1-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2015 23:25:15 -0400

pyopenssl (0.15.1-1) experimental; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Apr 2015 11:54:04 +0100

pyopenssl (0.15-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - use PyPI redirector
  * debian/copyright
    - extend packaging copyright years
    - extend upstream copyright years
  * debian/patches/disable_test_set_default_verify_paths.patch
    - refreshed
  * debian/patches/bbff8b97da488d19d3a26f6eda5f83fc88ad430c.patch
    - dropped, merged upstream
  * debian/python-openssl-doc.docs
    - updated to include new files and remove those no longer present
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
    - add versioned depends and b-d on python-cryptography
  * debian/rules
    - run tests using "setup.py test"

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2015 20:39:59 +0100
