=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pyopenssl
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python-all, python3-all, dh-python, libssl-dev (>= 0.9.8), openssl, python-sphinx (>= 1.0.7+dfsg), python-setuptools, python3-setuptools, python-cryptography, python3-cryptography, python-six, python3-six
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), python-all, python3-all, dh-python, libssl-dev (>= 0.9.8), openssl, python-sphinx (>= 1.0.7+dfsg), python-setuptools, python3-setuptools, python-cryptography (>= 1.2.3-1ubuntu0.2), python3-cryptography (>= 1.2.3-1ubuntu0.2), python-six, python3-six
+Standards-Version: 3.9.6
 Homepage: https://github.com/pyca/pyopenssl
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyopenssl/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyopenssl/trunk/
@@ -13,7 +14,7 @@
 
 Package: python-openssl
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-cryptography (>= 1.2.3-1ubuntu0.2)
 Suggests: python-openssl-doc, python-openssl-dbg
 Description: Python 2 wrapper around the OpenSSL library
  High-level wrapper around a subset of the OpenSSL library, includes
@@ -48,7 +49,7 @@
 
 Package: python3-openssl
 Architecture: all
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-cryptography (>= 1.2.3-1ubuntu0.2)
 Suggests: python-openssl-doc, python3-openssl-dbg
 Description: Python 3 wrapper around the OpenSSL library
  High-level wrapper around a subset of the OpenSSL library, includes
