=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,8 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	# run tests
 	-for py in $(PYVERS); do  \
-	    for test in OpenSSL/test/test*; do \
-	        echo "running $$test for python$$py ..."; \
-		LIB=$$(python$$py -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
-	        PYTHONPATH=$$LIB python$$py $$test; \
-	    done; \
+	    LIB=$$(python$$py -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
+	    PYTHONPATH=$$LIB python$$py setup.py test ;\
 	done
 endif
